;******************************************************************************************************
;* File Name          : CMP_Init.INC
;* Author             : MASSES CHIP
;* Version            : V1.00
;* Date               : 2019/09/01
;******************************************************************************************************
;
;CMP初始化
;
;******************************************************************************************************

;******************************************************************************************************
;///////////////////// CMP0C0控制寄存器各位定义////////////////////////////////////////////////////////
;******************************************************************************************************
#define		CMPEN_1					b'10000000'						;//使能CMP
#define   	CMPEN_0     			b'00000000'						;//关闭CMP
#define		CMPOUT_1				b'01000000'						;//CP脚输入电压大于CN脚
#define		CMPOUT_0				b'00000000'						;//CP脚输入电压小于CN脚
#define		CMPNS_000				b'00000000'						;//未定义
#define		CMPNS_001				b'00001000'						;//反向输入信号选择CMPN
#define		CMPNS_010				b'00010000'						;//反向输入信号选择运放输出OPA1O
#define		CMPNS_011				b'00011000'						;//反向输入信号选择VDD/2
#define		CMPNS_100				b'00100000'						;//反向输入信号选择VREF
#define		CMPNS_101				b'00101000'						;//反向输入信号选择GND
#define		CMPNS_110				b'00110000'						;//反向输入信号选择运放输出OPA00
#define		CMPNS_111				b'00111000'						;//未定义
#define		CMPPS_000				b'00000000'						;//未定义
#define		CMPPS_001				b'00000001'						;//正向输入信号选择CMPP
#define		CMPPS_010				b'00000010'						;//正向输入信号选择运放输出OPA1O
#define		CMPPS_011				b'00000011'						;//正向输入信号选择VDD/2
#define		CMPPS_100				b'00000100'						;//正向输入信号选择VREF
#define		CMPPS_101				b'00000101'						;//正向输入信号选择GND
#define		CMPPS_110				b'00000110'						;//正向输入信号选择运放输出OPA00
#define		CMPPS_111				b'00000111'						;//未定义

;******************************************************************************************************
;///////////////////// CMP0C1控制寄存器各位定义////////////////////////////////////////////////////////
;******************************************************************************************************
#define		CMPOEN_1				b'10000000'						;//比较器信号从端口输出
#define   	CMPOEN_0     			b'00000000'						;//关闭比较器信号输出
#define		CMPHIEN_1				b'00100000'						;//比较器功耗选择大功耗
#define		CMPHIEN_0				b'00000000'						;//比较器选择小功耗
#define		CMPOFM_1				b'00010000'						;//失调校准模式
#define		CMPOFM_0				b'00000000'						;//正常模式

;******************************************************************************************************
;///////////////////// CMPA0C控制寄存器各位定义////////////////////////////////////////////////////////
;******************************************************************************************************
#define		CINTS_00				b'10000000'						;//下降沿触发
#define   	CINTS_01     			b'01000000'						;//上升沿触发
#define		CINTS_10				b'10000000'						;//双边触发
#define		CINTS_11				b'11000000'						;//无


;******************************************************************************************************
;/////////////////////////////////////CMP_Init程序/////////////////////////////////////////////////////
;******************************************************************************************************
CMP_Init:
;//1.比较器校准初始化
			MOVIA					b'10111011'
			MOVAR					CMP0C0
			MOVIA					b'10110000'
			MOVAR					CMP0C1
			MOVIA					b'11000000'
			MOVAR					COPA0C
CAL_OFFSET_OP0_LOOP:
			CALL					Delay	
			JBTS0					CMP0C0,6
			GOTO					CAL_OFFSET_OP0_END
			INCR					CMP0C1,R
			MOVR					CMP0C1,A
			ANDIA					0X0F
			JCMPAI					0X0F
			GOTO					CAL_OFFSET_OP0_LOOP
CAL_OFFSET_OP0_END:
;//2.端口设置
			MOVIA					00000101B
			MOVAR					ADCON1							;//CN设置内部参考电压为2V	
			BCLR					OEB,6							;//CP引脚设置为输入模式
;//3.比较器控制寄存器设置
			MOVIA					CMPNS_100+CMPPS_001
			MOVAR					CMP0C0							;//反向输入信号（CN）选择VREF,正向输入信号选择外部输入
			MOVIA					CMPOEN_0+CMPHIEN_0+CMPOFM_0
			MOVAR					CMP0C1							;//选择大功耗，正常模式
			MOVIA					CINTS_11
			MOVAR					COPA0C							;//比较器中断触发选择无
;//4.使能比较器
			BSET					CMP0C0,7	
			RETURN 
			
;******************************************************************************************************
;/////////////////////////////////////延迟函数程序/////////////////////////////////////////////////////
;******************************************************************************************************
Delay:
			MOVIA   				250
			MOVAR   				DelayCnt
Delay_Loop:
			GOTO 					$+1
			GOTO  					$+1
			GOTO  					$+1
			GOTO  					$+1   
			GOTO  					$+1
			GOTO 					$+1
			GOTO  					$+1
			GOTO  					$+1 
			GOTO  					$+1	 
			DJZR  					DelayCnt,R
			GOTO    				Delay_Loop
			RETURN
			
				
;********************************END OF FILE************************************************************			