;******************************************************************************
;* Project  Name      : M8P632_CMP_Demo
;* File Name          : M8P632_CMP.ASM
;* Author             : MASSES CHIP
;* Version            : V1.00
;* Date               : 2019/09/01
;* Web    			  : www.masses-chip.com
;* FAE                : Luo
;  				 	  : QQ：411680975
;******************************************************************************
;
;Option: 16M/16T, WDT-Enable-288ms, RST-IO ,BOR 2.4V
;
;******************************************************************************
        LIST P=M8P632                      
#INCLUDE M8P632.INC
		udata		h'00'
DelayCnt			res		1				
;******************************************************************************
;=================================C O D E======================================
;******************************************************************************
		ORG			0000H
		GOTO		Main_Program
		ORG			0008H
		;//GOTO		Interrupt


;******************************************************************************
;===============================中断处理程序===================================
;======================注:没有使能的中断不要判断中断标志位=====================
;******************************************************************************				
;//中断进来		
Interrupt:
        PUSH        						;//进栈、保存A、STATUS
;//中断处理程序
		NOP
		NOP
Interrupt_End:
;//中断结束
		POP         						;//出栈、恢复A、STATUS
		RETIE	 


;******************************************************************************
;==============================主程序==========================================
;******************************************************************************			
;//--------------------------程序初始化----------------------------------------	
Main_Program:		
	    CALL		System_Init				;//系统初始化
		CALL		Clr_RAM_00H_FFH		    ;//RAM清零
		CALL		CMP_Init				;//CMP初始化
;//--------------------------主函数循环----------------------------------------
Main_Loop:
		JBTS1		CMP0C0,6				;//比较CP脚与CN脚值的大小
		GOTO		$+3						;// CP脚小于CN脚，C口置1
		BSET		IOC,0					;// CP脚大于CN脚，C口置0
		GOTO		$+2
		BCLR		IOC,0
		CLRWDT								;//清除看门狗
	    GOTO		Main_Loop




;******************************************************************************
;================================系统初始化====================================
;******************************************************************************
#INCLUDE	SYSTEM_INIT.INC

;******************************************************************************
;=================================CMP初始化====================================
;******************************************************************************	
#INCLUDE	CMP_Init.INC



	END
;*********************************END OF FILE**********************************