/*******************(C) COPYRIGHT 2019 Masses-Chip ******************************
* File Name          : CMP_Init.C
* Author             : MASSES CHIP
* Version            : V1.00
* Date               : 2019/09/01
********************************************************************************/
/*******************************************************************************
* 
*CMP初始化
*
********************************************************************************/
#include"common.h"
//******************************************************************************************************
/////////////////////// CMP0C0控制寄存器各位定义////////////////////////////////////////////////////////
//******************************************************************************************************
#define		CMPEN_1					Bin(10000000)						//使能CMP
#define   	CMPEN_0     			Bin(00000000)						//关闭CMP
#define		CMPOUT_1				Bin(01000000)						//CP脚输入电压大于CN脚
#define		CMPOUT_0				Bin(00000000)						//CP脚输入电压小于CN脚
#define		CMPNS_000				Bin(00000000)						//未定义
#define		CMPNS_001				Bin(00001000)						//反向输入信号选择CMPN
#define		CMPNS_010				Bin(00010000)						//反向输入信号选择运放输出OPA1O
#define		CMPNS_011				Bin(00011000)						//反向输入信号选择VDD/2
#define		CMPNS_100				Bin(00100000)						//反向输入信号选择VREF
#define		CMPNS_101				Bin(00101000)						//反向输入信号选择GND
#define		CMPNS_110				Bin(00110000)						//反向输入信号选择运放输出OPA00
#define		CMPNS_111				Bin(00111000)						//未定义
#define		CMPPS_000				Bin(00000000)						//未定义
#define		CMPPS_001				Bin(00000001)						//正向输入信号选择CMPP
#define		CMPPS_010				Bin(00000010)						//正向输入信号选择运放输出OPA1O
#define		CMPPS_011				Bin(00000011)						//正向输入信号选择VDD/2
#define		CMPPS_100				Bin(00000100)						//正向输入信号选择VREF
#define		CMPPS_101				Bin(00000101)						//正向输入信号选择GND
#define		CMPPS_110				Bin(00000110)						//正向输入信号选择运放输出OPA00
#define		CMPPS_111				Bin(00000111)						//未定义

//******************************************************************************************************
/////////////////////// CMP0C1控制寄存器各位定义////////////////////////////////////////////////////////
//******************************************************************************************************
#define		CMPOEN_1				Bin(10000000)						//比较器信号从端口输出
#define   	CMPOEN_0     			Bin(00000000)						//关闭比较器信号输出
#define		CMPHIEN_1				Bin(00100000)						//比较器功耗选择大功耗
#define		CMPHIEN_0				Bin(00000000)						//比较器选择小功耗
#define		CMPOFM_1				Bin(00010000)						//失调校准模式
#define		CMPOFM_0				Bin(00000000)						//正常模式

//******************************************************************************************************
/////////////////////// CMPA0C控制寄存器各位定义////////////////////////////////////////////////////////
//******************************************************************************************************
#define		CINTS_00				Bin(00000000)						//下降沿触发
#define   	CINTS_01     			Bin(01000000)						//上升沿触发
#define		CINTS_10				Bin(10000000)						//双边触发
#define		CINTS_11				Bin(11000000)						//无


//******************************************************************************************************
//////////////////////////////////////CMP_Init初始化////////////////////////////////////////////////////
//******************************************************************************************************
void   CMP_Init(void)
{
//1.比较器校准初始化
	CMP0C0 = 0xBB;
	CMP0C1 = 0xB0;
	COPA0C = 0xC0;
	while(CMP0C1!=0x0F)
	{
		Delay();														//延时
		if(CMPOUT == 0)
		{	
			CMP0C1++;
			CMP0C1 = CMP0C1&0x0F;
		}
		else
		{
			//2.端口设置
			ADCON1 = 0x05;												//CN设置内部参考电压为2V	
			OEB = 0xBF;													//CP引脚设置为输入模式
			//3.比较器控制寄存器设置
			CMP0C0 = (unsigned char)(CMPNS_100+CMPPS_001);				//反向输入信号（CN）选择VREF,正向输入信号选择外部输入
			CMP0C1 = (unsigned char)(CMPOEN_0+CMPHIEN_0+CMPOFM_0);		//选择大功耗，正常模式
			COPA0C = (unsigned char)(CINTS_11);							//比较器中断触发选择无
			//4.使能比较器
			CMPEN = 1;
		}
	}
}
//******************************************************************************************************
/////////////////////////////////////////////延迟函数程序///////////////////////////////////////////////
//******************************************************************************************************
void   Delay(void)
{
	int  i,j;
	for(i=0;i<250;i++)
	{
		for(j=0;j<20;j++);
	}
}
/*********************************END OF FILE************************************/ 

