/*******************(C) COPYRIGHT 2019 Masses-Chip ******************************
* File Name          : SYSTEM_INIT.C
* Author             : MASSES CHIP
* Version            : V1.00
* Date               : 2019/09/01
********************************************************************************/
/*******************************************************************************
* 
*
*
********************************************************************************/
#include"common.h"
//*************************************************************************
//===============================系统初始化================================
//*************************************************************************
void  SYSTEM_INIT(void)
{
//----------------------------------------------------          
//Init 系统时钟		
	//Init 系统时钟
	//Bit 7 STBH: 高频振荡器稳定标志
	//Bit 6 STBL: 低频振荡器稳定标志
	//Bit 5 HSPDX2: 高频振荡器倍频（仅用于定时器选用高频作为时钟）
	//1 = 倍频使能
	//0 = 不使能倍频
	//Bit 4 STOP: CPU工作状态标志位
	//1 = CPU停止工作
	//0 = CPU正常工作，所有复位唤醒
	//Bit 3 CLKM: 系统时钟状态标志位
	//1 = CPU运行于低频时钟
	//0 = CPU运行于高频时钟
	//Bit 2 STPH: 高频振荡器控制
	//1 = 休眠状态或低速模式下关闭高频振荡器
	//0 = 休眠状态或低速模式下高速振荡器仍然工作
	//Bit 1 LIRC500K: 低频振荡器频率选择
	//1 = 内部低频振荡器频率500KHz
	//0 = 内部低频振荡器频率32KHz
	//Bit 0 STPL: 低频振荡器控制
	//1 = 休眠状态下低频振荡器停止工作
	//0 = 休眠状态下低频振荡器仍然工作
	OSCM = 0x00;
//---------------------------------------------------- 	
//Init IO
	//IOA
	PUA = 0x00;                //0:上拉关闭 1:上拉使能
	PDA = 0x00;				   //0:下拉关闭 1:下拉使能
	OEA = 0xFF;                //0:输入 1:输出
	IOA = 0x00;                //IO口数据
	//IOB
	PUB = 0x00;                //0:上拉关闭 1:上拉使能
	PDB = 0x00;				   //0:下拉关闭 1:下拉使能
	OEB = 0xFF;                //0:输入 1:输出
	IOB = 0x00;                //IO口数据
	//IOC
	PUC = 0x00;                //0:上拉关闭 1:上拉使能
	PDC = 0x00;				   //0:下拉关闭 1:下拉使能
	OEC = 0xFF;                //0:输入 1:输出
	IOC = 0x00;                //IO口数据
//----------------------------------------------------	
//中断设置   
	GIE = 0;         		   //1:总中断使能,0:屏蔽所有中断
}
//;*************************************************************************
//;===================== RAM清零 (00H-FFH)==================================
//;*************************************************************************  
void  Clr_RAM_00H_FFH(void)
{
	__asm;  
	Clr_RAM_00H_FFH:
		CLRR		FSR0	  //从00地址开始写入
    Clr_RAM_00H_FFH_LOOP:	
		MOVIA       0x00
		MOVAR		INDF0
		INCR		FSR0,1
		MOVIA		0xFF
		JCMPAR		FSR0
		GOTO		Clr_RAM_00H_FFH_LOOP
		MOVIA       0x00
		MOVAR		INDF0		
    __endasm;
}

/*********************************END OF FILE************************************/ 
