;*******************(C) COPYRIGHT 2019 Masses-Chip ****************************
;* Project Name       : M8P632 INT1 Demo
;* File Name          : M8P632_INT1.ASM
;* Author             : MASSES CHIP
;* Version            : V1.00
;* Date               : 2019/09/01
;* Web    			  : www.masses-chip.com
;* FAE                : Luo
;  				 	  : QQ：411680975
;******************************************************************************
;******************************************************************************
;
;Option: 16M/16T, WDT-Enable-288ms, RS-IO, BOR 2.4V
;
;******************************************************************************
		LIST P=M8P632                       
#INCLUDE M8P632.INC

;******************************************************************************
;=================================C O D E======================================
;******************************************************************************
		ORG			0000H
		GOTO		Main_Program
		ORG			0008H
		;//GOTO		Interrupt
		
;******************************************************************************
;===============================中断处理程序===================================
;====================注:没有使能的中断不要判断中断标志位=======================
;******************************************************************************			
Interrupt:
;//中断进来
		PUSH                       				;//压栈、保存A、STATUS
;//中断处理程序
		JBTS0      INTF1,INT1IF    	   			;//检测INT1中断标志位      
		GOTO       INT1_Interrupt

Interrupt_End:		
;//中断结束		
		POP                        				;//出栈、恢复A、STATUS
		RETIE
		
;//外部中断0			
INT1_Interrupt:					
		BCLR	   INTF1,INT1IF               	;//清零INT1中断标志位
		;//下面加中断中需要的操作
		NOP 	
		GOTO   	   Interrupt_End
		
;******************************************************************************
;==============================主程序==========================================
;******************************************************************************
;//--------------------------程序初始化----------------------------------------	
Main_Program:      
		CALL       SYSTEM_INIT             		;//系统初始化
		CALL       Clr_RAM_00H_FFH         		;//清零RAM
		CALL       INT1_INIT               		;//INT1中断初始化
;//--------------------------主函数循环----------------------------------------
Main_Loop:      
		CLRWDT									;//清除看门狗	                                 
		GOTO       Main_Loop
		
		
		

;******************************************************************************
;================================系统初始化====================================
;******************************************************************************
#INCLUDE	SYSTEM_INIT.INC

;******************************************************************************
;===============================INT1中断初始化=================================
;******************************************************************************
#INCLUDE	INT1_INIT.INC


		END
;*********************************END OF FILE**********************************