/*******************(C) COPYRIGHT 2019 Masses-Chip *****************************
;* File Name          : INT1_INIT.C
;* Author             : MASSES  CHIP
;* Version            : V1.00
;* Date               : 2019/09/01
;*******************************************************************************
;*******************************************************************************
;
;INT1中断初始化
;
;******************************************************************************/
#include "COMMON.H"

#define				MINT1_UP				Bin(00110000)       //上升沿中断
#define				MINT1_DOWN				Bin(00110100)       //下降沿中断
#define				MINT1_CHANGE			Bin(00111000)       //变化中断

//******************************************************************************
//==========================INT1中断初始化======================================
//******************************************************************************	
void INT1_INTERRUPT_INIT(void)
{
//1、端口设置 	
	PUA7=1;			//INT1端口设置为上拉
	OEA7=0;			//INT1端口设置为输入
//2、中断模式选择
	//Bit.7 GIE: 全局中断控制位
	//1 = 总中断使能（RETIE指令会将该位置1）
	//0 = 屏蔽所有中断（响应中断后自动清零）
	//Bit[3:2] MINT1[1:0]: INT1中断模式选择
	//MINT1[1:0] INT1 中断模式选择
	//00 上升沿中断
	//01 下降沿中断
	//1X 变化中断
	//Bit[1:0] MINT0[1:0]: INT0中断模式选择
	//MINT0[1:0] INT0 中断模式选择
	//00 上升沿中断
	//01 下降沿中断
	//1X 变化中断	
	OPTION=(uchar)(MINT1_DOWN);
//3、中断使能	
	//Bit 3 INT1IE:
	//1 = 使能外部中断1
	//0 = 屏蔽外部中断1
	//Bit 2 INT0IE:
	//1 = 使能外部中断0
	//0 = 屏蔽外部中断0
	//Bit 1 IOCCHIE:
	//1 = 使能端口变化中断
	//0 = 屏蔽端口变化中断
	//Bit 0 IOBCHIE:
	//1 = 使能端口变化中断
	//0 = 屏蔽端口变化中断
	INT1IE=1;		//使能INT1中断
	INT1IF=0;
	GIE=1;			//使能总中断
}

/*********************************END OF FILE************************************/ 