/*******************(C) COPYRIGHT 2019 Masses-Chip ******************************
;* Project Name        : M8P632 IOB INTERRUPT Demo
;* File Name           : M8P632_I0B_INTERRUPT.C
;* Author              : MASSES  CHIP
;* Version             : V1.00
;* Date                : 2019/09/01
;* Web    			   : www.masses-chip.com
;* FAE                 : Luo
;*  				   : QQ：411680975
;********************************************************************************
;
;Option: 16M/16T, WDT-Enable-288ms, RS-IO, BOR 2.4V, 
;
;*******************************************************************************/
#include "COMMON.H"
//===============================================================================
//********************************程序主函数*************************************
//===============================================================================
void  main(void)                  	//程序主函数
{   
    SYSTEM_INIT();                	//系统初始化
	Clr_RAM_00H_FFH();           	//清零RAM
	IOB_INTERRUPT_INIT();          	//IOB中断初始化
	while(1)
	{
		__CLRWDT();					//清除看门狗
	}	
}

//===============================================================================
//******************************中断服务子程序***********************************
//********************注:没有使能的中断不要判断中断标志位************************
//===============================================================================
void  int_isr(void) __interrupt
{  
    __asm;
    push							//压栈、保存A、STATUS
    __endasm;   
//中断处理函数	
		if(IOBCHIF)					//检测IOB中断标志位 
		{
			IOBCHIF = 0;			//清零IOB中断标志位
//下面加中断中需要的操作  
			__NOP();    	
		}
    __asm;
    pop								//出栈、恢复A、STATUS
    __endasm;
   
}

/*********************************END OF FILE************************************/  
