;*******************(C) COPYRIGHT 2019 Masses-Chip ****************************
;* Project Name       : M8P632 IOC Demo
;* File Name          : M8P632_IOC.ASM
;* Author             : MASSES CHIP
;* Version            : V1.00
;* Date               : 2019/09/01
;* Web    			  : www.masses-chip.com
;* FAE                : Luo
;  				 	  : QQ：411680975
;******************************************************************************
;******************************************************************************
;
;Option: 16M/16T, WDT-Enable-288ms, RS-IO, BOR 2.4V
;
;******************************************************************************
		LIST P=M8P632                       
#INCLUDE M8P632.INC

;******************************************************************************
;=================================C O D E======================================
;******************************************************************************
		ORG			0000H
		GOTO		Main_Program
		ORG			0008H
		;//GOTO		Interrupt
		
;******************************************************************************
;===============================中断处理程序===================================
;====================注:没有使能的中断不要判断中断标志位=======================
;******************************************************************************	
;//中断进来
Interrupt:
		PUSH										;//压栈、保存A、STATUS
;//中断处理程序
		JBTS0      	INTF1,IOCCHIF					;//检测IOC中断标志位
		GOTO       	IO_Interrupt
		
Interrupt_End:		
;//中断结束
		POP		 									;//出栈、恢复A、STATUS
		RETIE
;//IO变化中断中断
IO_Interrupt:
		BCLR		INTF1,IOCCHIF					;//清零IOC中断标志位
;//下面加中断中需要的操作	
		NOP
		GOTO        Interrupt_End
		
;******************************************************************************
;==============================主程序==========================================
;******************************************************************************
;//--------------------------程序初始化----------------------------------------	
Main_Program:
		CALL       	SYSTEM_INIT              		;//系统初始化
		CALL       	Clr_RAM_00H_FFH          		;//清零RAM
		CALL      	IOC_INTERRUPT_INIT        		;//IOC中断初始化
;//--------------------------主函数循环----------------------------------------
Main_Loop:      
		CLRWDT										;//清除看门狗                                
		GOTO      	Main_Loop





;******************************************************************************
;================================系统初始化====================================
;******************************************************************************
#INCLUDE	SYSTEM_INIT.INC

;******************************************************************************
;==============================IOC中断初始化====================================
;******************************************************************************
#INCLUDE	IOC_INTERRUPT_INIT.INC


		END
;*********************************END OF FILE**********************************