/*******************(C) COPYRIGHT 2019 Masses-Chip ******************************
* Project  Name      : M8P632 USART Demo
* File Name          : M8P632_USART.C
* Author             : MASSES CHIP
* Version            : V1.00
* Date               : 2019/09/01
* Web    			 : www.masses-chip.com
* FAE                : Luo
*					 : QQ：411680975
********************************************************************************/
/*******************************************************************************
* 
*Option: 16M/16T, WDT-Enable-288ms, RST-IO ,BOR 2.4V
*
********************************************************************************/

#include"common.h"
unsigned  char   UART_DATA;			 //定义变量
//===============================================================================
//**********************************程序主函数***********************************
//===============================================================================
void  main(void)                   	//程序主函数
{  
    SYSTEM_INIT();					//系统初始化
	Clr_RAM_00H_FFH();				//RAM清零
	USART_Init();					//USART初始化
	while(1)	
	{		
		__CLRWDT();					//清除看门狗	
	}
}

//===============================================================================
//*********************************中断处理程序**********************************
//======================注:没有使能的中断不要判断中断标志位======================
//===============================================================================
void  int_isr(void) __interrupt
{  
    __PUSH();            			//压栈、保存A、STATUS
   
//中断处理函数	
		if(RXIF)					//检测接收中断标志		
		{	
			RXIF=0;					//清除中断标志RXIF
			RX_Int_Pro();			//接收程序
		}	
    __POP();        				//出栈、恢复A、STATUS	
    
   
}

//=============================================================
//USART接收程序
//=============================================================
void  RX_Int_Pro(void)
{  	
	if(FRER==0)						//检测当前接收数据格式
	{		
		UART_DATA=RXREG;  
		USART_Byte_Send();
	}
}
//=============================================================
//USART发送程序
//=============================================================
void  USART_Byte_Send(void)
{  	
	
	TXREG=UART_DATA;
	while(TMCLR == 0);				//等待发送结束
}

/*********************************END OF FILE************************************/ 



