/*******************(C) COPYRIGHT 2019 Masses-Chip ******************************
;* Project Name        : M8P632 WDT Demo
;* File Name           : M8P632_WDT.C
;* Author              : MASSES  CHIP
;* Version             : V1.00
;* Date                : 2019/09/01
;* Web    			   : www.masses-chip.com
;* FAE                 : Luo
;*  				   : QQ：411680975
;********************************************************************************
;
;Option: 16M/16T, WDT-Enable-288ms, RS-IO, BOR 2.4V, 
;
;*******************************************************************************/
#include "common.h"
//===============================================================================
//*********************************中断处理程序**********************************
//************************注:没有使能的中断不要判断中断标志位********************
//===============================================================================
void int_isr(void) __interrupt	 
{
	__PUSH();                    //进栈、保存A、STATUS
	
//中断处理程序
	__NOP();
	__POP();                     //出栈、恢复A、STATUS
}

//===============================================================================
//**********************************程序主函数***********************************
//===============================================================================
void main(void)					 //程序主函数
{
	SYSTEM_INIT();               //系统初始化
	Clr_RAM_00H_FFH();           //清零RAM
	while(1)
	{
        __NOP();		
		STOP = 1;                //进入休眠
		IOA = ~IOA;              //每一次唤醒WDT，IOA端口翻转
		__NOP();
		__NOP();
		__NOP();
	}
}

/*********************************END OF FILE************************************/